<!DOCTYPE html>
<html lang="en">
{% load staticfiles bootstrap_themes %}
{% load thumbnail %}
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="description" content="{% block description %}{% endblock description %}"/>
    <meta name="author" content="Marc Chakiachvili"/>
    <link rel="shortcut icon" href="{% static 'site/ico/favicon.ico' %}" type="image/x-icon"/>

    <title>{% block title %} :: {% include "_brandname.html" %} :: {% endblock %}</title>

    <!-- Bootstrap core CSS -->
    {% bootstrap_styles theme=BOOTSTRAP_CSS_THEME type='css' %}
    <!-- Custom styles for this site -->
    {% block styles %}
        <link href="{% static 'site/css/main.css' %}" rel="stylesheet"/>
    {% endblock styles %}

    <!-- Custom tags for the head tag -->
    {% block extrahead %}{% endblock extrahead %}

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
</head>

<body>

{% block navbar %}
    <div class="navbar navbar-default navbar-fixed-top" role="navigation">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{% url 'waves:home' %}">
                {% block navbar-brand %}
                    <img src="{% static 'site/logos/waves.png' %}" alt="logo" id="navbar-logo"/>
                {% endblock %}
            </a>
        </div>
        {% block navbar-menu %}
            <div class="collapse navbar-collapse">
                <ul class="nav navbar-nav">
                    {% block navbar-left %}{% endblock %}
                </ul>
                <ul class="nav navbar-nav navbar-right">
                    {% block navbar-right %}
                        {% if user.is_authenticated %}
                            {% if user.is_staff %}
                                <li><a href="{% url 'admin:index' %}">Admin</a></li>
                            {% endif %}
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle profile-menu" data-toggle="dropdown">
                                    <img src="{% thumbnail user.profile.picture|default:'default_profile.png' 30x30 crop %}"
                                         alt=""/>
                                    {{ user.get_full_name|truncatechars:20 }}
                                    <span class="caret"></span>
                                </a>

                                <ul class="dropdown-menu" role="menu">
                                    <li><a href="{% url 'waves:show_self' %}">Profile</a></li>
                                    <li><a href="{% url 'waves:logout' %}">Logout</a></li>
                                    <li><a href="{% url 'waves:job_list' %}">Your jobs</a></li>
                                </ul>
                            </li>
                        {% else %}
                            <a class="btn btn-default" href="{% url 'waves:login' %}" role="button">Log in</a>
                        {% endif %}
                    {% endblock %}
                </ul>
            </div><!--/.nav-collapse -->
        {% endblock %}
    </div>
{% endblock navbar %}

{% block messages %}
    {% if messages %}
        {% for message in messages %}
            <div class="messages alert alert-{{ message.tags }} alert-dismissible fade in">  <!-- singular -->
                <a class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span></a>
                {{ message|safe }}
            </div>
        {% endfor %}
    {% endif %}
{% endblock %}

{% block splash %}
{% endblock splash %}

{% block container %}
    <div id="sec1">
        <div class="container">
            <div class="starter-template">
                <h1>WAVES</h1>
                <p class="lead">Base Html page - or 404</p>
            </div>

        </div><!-- /.container -->
    </div>
{% endblock container %}

<!-- Site footer -->
{% block footer %}
    <div class="container">
        <div class="footer">
            <div class="row">
                <div class="col-lg-12 text-center">
                    <a name="contact" href="mailto:services@atgc-montpellier.fr">Contact</a> -
                    <a href="#" data-toggle="modal" data-target="#tosModal">Terms of Service</a>
                </div>
                <br/><br/>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="thumbnail">
                                <img src="{% static "site/logos/lirmm.png" %}" class="img-responsive"
                                     style="max-height:100px">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="thumbnail">
                                <img src="{% static "site/logos/cnrs.png" %}" class="img-responsive"
                                     style="max-height:100px">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="thumbnail">
                                <img src="{% static "site/logos/ifb.png" %}" class="img-responsive"
                                     style="max-height:100px">
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="thumbnail">
                                <img src="{% static "site/logos/um.png" %}" class="img-responsive"
                                     style="max-height:100px">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block modalcontent %}
    {% include 'tos/tos_modal.html' %}
{% endblock modalcontent %}
<script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.3/jquery.min.js"></script>
{% bootstrap_script use_min=True %}
<script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.10.0/js/bootstrap-select.min.js"></script>
{% block scripts %}
    <script src="{% static 'site/js/site.js' %}"></script>
{% endblock scripts %}
</body>
</html>


